#version 330

layout(location = 0) in vec2 vertexPosition;
layout(location = 1) in vec3 vertexColor;

out vec4 color;

uniform mat4 ModelViewMatrix;
uniform mat4 ProjectionMatrix;

void main() {
	gl_Position = ProjectionMatrix * ModelViewMatrix * vec4(vertexPosition, 0.0, 1.0);
	color = vec4 (vertexColor, 1.0);
}